Form Auth Data
11 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| exportAuthForms | GET | Export the Form Authentication Result List |
| getGridFormAuthResults | GET | Get Form Authentication Result |
| getAuthForms | GET | Get authentication survey list |
| createAuthForm | POST | Create a new authentication survey |
| deleteAuthForm | DELETE | Delete an existing authentication survey |
| getAuthForm | GET | Get an authentication survey for given surveyId |
| modifyAuthForm | PATCH | Modify an authentication survey for given surveyId |
| getFormAuthResults | GET | Get authentication result lists for given survey |
| deleteSelectedFormAuthResult | POST | Delete selected authentication survey results for given surveyId |
| deleteFormAuthResult | DELETE | Delete an authentication survey result for given surveyResultId |
| getFormAuthResult | GET | Get an authentication survey result for given surveyResultId |
exportAuthForms
GET /openapi/v1/{omadacId}/sites/{siteId}/files/hotspot/form-auths/{formId}/export
Export the Form Authentication Result List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
formId | path | string | yes | Form auth Id. |
exportFormVO | query | ExportFormOpenApiVO | no | Export Form Parameters Object: its fields (ids, type) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "exportAuthForms",
"params": {
"siteId": "<siteId>",
"formId": "<formId>"
}
}Details, permissions and error codes
Export the Form Authentication Result List.
The interface requires one of the permissions:
Site Hotspot Manager View Only
getGridFormAuthResults
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/form-auths/{formId}/auth-results
Get Form Authentication Result
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
formId | path | string | yes | Form auth Id. |
queryDataVO | query | OpenApiQueryDataVO | no | Query Data Object: its fields (page, pageSize, sorts, searchKey, filters, searchField) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getGridFormAuthResults",
"params": {
"siteId": "<siteId>",
"formId": "<formId>"
}
}Details, permissions and error codes
Get Form Authentication Result.
The interface requires one of the permissions:
Site Hotspot Manager View Only
getAuthForms
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys
Get authentication survey list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.createTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.answerNum | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getAuthForms",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get authentication survey list in a site by the given omadacId, siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
createAuthForm
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys
Create a new authentication survey
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateFormAuthOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
title | string | yes | Form title (display for the authentication user). It should contain 1-2000 characters. |
name | string | yes | Form name (display for the controller user). It should contain 1-2000 characters. |
note | string | yes | Note should contain 1-2000 characters. |
authTimeout | AuthTimeOpenApiVO | yes | (AuthTimeOpenApiVO not expanded; call omada_get_schema "AuthTimeOpenApiVO") |
cardList | array<FormAuthCardOpenApiVO> | yes | Form card list. |
published | boolean | yes | Whether to publish. |
// omada_call_operation
{
"operationId": "createAuthForm",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a authentication survey in a site with the given params.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-42050 - The number of created surveys is up to the limit.
-42051 - The survey name already exists.
-42052 - The number of questions in this survey is up to the limit.
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
deleteAuthForm
DELETE /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/{surveyId}
Delete an existing authentication survey
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyId | path | string | yes | Auth survey ID |
// omada_call_operation
{
"operationId": "deleteAuthForm",
"params": {
"siteId": "<siteId>",
"surveyId": "<surveyId>"
}
}Details, permissions and error codes
Delete an existing authentication survey by the given omadacId, siteId, surveyId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-42054 - The survey does not exist.
-42057 - The survey is in use, and you cannot edit or delete it.
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
getAuthForm
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/{surveyId}
Get an authentication survey for given surveyId
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyId | path | string | yes | Auth survey ID |
// omada_call_operation
{
"operationId": "getAuthForm",
"params": {
"siteId": "<siteId>",
"surveyId": "<surveyId>"
}
}Details, permissions and error codes
Get an authentication survey by the given omadacId, siteId, surveyId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
modifyAuthForm
PATCH /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/{surveyId}
Modify an authentication survey for given surveyId
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyId | path | string | yes | Survey authentication ID |
Request body — application/json (required) — schema CreateFormAuthOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
title | string | yes | Form title (display for the authentication user). It should contain 1-2000 characters. |
name | string | yes | Form name (display for the controller user). It should contain 1-2000 characters. |
note | string | yes | Note should contain 1-2000 characters. |
authTimeout | AuthTimeOpenApiVO | yes | (AuthTimeOpenApiVO not expanded; call omada_get_schema "AuthTimeOpenApiVO") |
cardList | array<FormAuthCardOpenApiVO> | yes | Form card list. |
published | boolean | yes | Whether to publish. |
// omada_call_operation
{
"operationId": "modifyAuthForm",
"params": {
"siteId": "<siteId>",
"surveyId": "<surveyId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an authentication survey in a site with given omadacId, siteId, surveyId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
getFormAuthResults
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/{surveyId}/auth-results
Get authentication result lists for given survey
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyId | path | string | yes | Auth survey ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.formAuth | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getFormAuthResults",
"params": {
"siteId": "<siteId>",
"surveyId": "<surveyId>"
}
}Details, permissions and error codes
Get an authentication survey's result list with given omadacId, siteId, surveyId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
deleteSelectedFormAuthResult
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/{surveyId}/auth-results
Delete selected authentication survey results for given surveyId
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyId | path | string | yes | Survey authentication ID |
Request body — application/json (required) — schema Form Auth Result Selector
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | Type of Selection, allowed values: all, include, exclude. |
ids | array<string> | no | IDs of Selected Form Auth Result. Required when type is not all. |
// omada_call_operation
{
"operationId": "deleteSelectedFormAuthResult",
"params": {
"siteId": "<siteId>",
"surveyId": "<surveyId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete selected authentication survey results in a site with given omadacId, siteId, surveyId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
deleteFormAuthResult
DELETE /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/auth-results/{surveyResultId}
Delete an authentication survey result for given surveyResultId
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyResultId | path | string | yes | Survey authentication result ID |
// omada_call_operation
{
"operationId": "deleteFormAuthResult",
"params": {
"siteId": "<siteId>",
"surveyResultId": "<surveyResultId>"
}
}Details, permissions and error codes
Delete an authentication survey result in a site with given omadacId, siteId, surveyResultId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
getFormAuthResult
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/surveys/auth-results/{surveyResultId}
Get an authentication survey result for given surveyResultId
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
surveyResultId | path | string | yes | Survey authentication result ID |
// omada_call_operation
{
"operationId": "getFormAuthResult",
"params": {
"siteId": "<siteId>",
"surveyResultId": "<surveyResultId>"
}
}Details, permissions and error codes
Get an authentication survey's result in a site with given omadacId, siteId, surveyResultId.
The interface requires one of the permissions:
Site Hotspot Manager View Only